\name{histL}
\alias{histL}
\title{histL: Histogram of the loadings of a \pkg{fabia} result}
\description{

  \code{histL}: \R implementation of \code{histL}.

  A histogram of the loadings obtained by \pkg{fabia} is build.

}
\usage{

histL(res,n=1,p=NULL,w=NULL,intervv=500,off=0)

}
\arguments{
  \item{res}{\pkg{fabia} result.}
  \item{n}{the number of the bicluster to consider.}
  \item{p}{the quantile threshold above which values are returned (p or w must be given).}
  \item{w}{the value threshold above which values are returned (p or w must be given).}
  \item{intervv}{length of the interval bins.}
  \item{off}{offset of the interval bins from zero.}

}
\details{

  A histogram of the loadings obtained by \pkg{fabia} is computed.

  Implementation in \R.

}
\value{
  \item{}{object of class "histogram".}


 }
\seealso{
\code{\link{hapFabia}},
\code{\link{vcftoFABIA}},
\code{\link{split_sparse_matrix}},
\code{\link{iterateSegments}},
\code{\link{getIBDs}},
\code{\link{extractIBD}},
\code{\link{compareIBDres}},
\code{\link{mergeIBDres}},
\code{\link{identifyDuplicates}},
\code{\link{ibd2excel}},
\code{\link{plotRangeL}},
\code{\link{plotOneIBD}},
\code{\link{plotIBDs}},
\code{\link{snpPlot}},
\code{\link{analyzeIBDs}},
\code{\link{simulateHaplotypes}},
\code{\link{simulateForFabia}},
\code{\link{sim}},
\code{\link{topLZ}},
\code{\link{histL}},
\code{\link{plotL}},
\code{\link{hapRes}},
\code{\link{res}},
\code{\link{simu}},
\code{\link{mergedIBD}}
}
\author{Sepp Hochreiter}
\examples{

data(res)
h1 <- histL(res,n=1,p=0.9,intervv=50,off=0)
print(h1$counts)
h1 <- histL(res,n=1,w=0.5,intervv=50,off=0)
print(h1$counts)

 
}

\references{

S. Hochreiter et al.,
\sQuote{FABIA: Factor Analysis for Bicluster Acquisition},
Bioinformatics 26(12):1520-1527, 2010.

}
\keyword{models,multivariate,cluster}
\concept{genetics,haplotype,identity by descent,bicluster,next generation sequencing,genotype,single nucleotide polymorphism,single nucleotide variation,rare variants,rare SNPs, rare SNVs,rare haplotype clusters,short haplotype clusters}
