\name{split_sparse_matrix}
\alias{split_sparse_matrix}
\title{split_sparse_matrix: Split genotype data in sparse matrix format into segments}
\description{

  \code{split_sparse_matrix}:  C implementation with an \R wrapper of \code{split_sparse_matrix}.

  Genotype data of a chromosome is split into segments where each segment
  leads to a genotype file in sparse matrix format.

}
\usage{

split_sparse_matrix(fileName="ALL.chr1.phase1_release_v2.20101123.snps_indels_svs",sparseMatrixPostfix="_mat.txt",segmentSize=10000,shiftSize=5000,annotation=TRUE)

}
\arguments{
  \item{fileName}{string giving the genotype data in sparse matrix format
   without type. Attention: no type!}
  \item{sparseMatrixPostfix}{postfix string for sparse matrix format.}
  \item{segmentSize}{number of SNVs or SNPs in one segment.}
  \item{shiftSize}{number of SNVs between beginning of adjacent segments
  that is the number of SNVs the segments are shifted.}
  \item{annotation}{boolean variable indicating whether a annotation file is available.}

}
\details{

  Implementation in C. Also a command line program is supplied.


}
\seealso{
\code{\link{hapFabia}},
\code{\link{vcftoFABIA}},
\code{\link{split_sparse_matrix}},
\code{\link{iterateSegments}},
\code{\link{getIBDs}},
\code{\link{extractIBD}},
\code{\link{compareIBDres}},
\code{\link{makePipelineFile}},
\code{\link{mergeIBDres}},
\code{\link{identifyDuplicates}},
\code{\link{ibd2excel}},
\code{\link{plotRangeL}},
\code{\link{plotOneIBD}},
\code{\link{plotIBDs}},
\code{\link{snpPlot}},
\code{\link{analyzeIBDs}},
\code{\link{simulateHaplotypes}},
\code{\link{simulateForFabia}},
\code{\link{sim}},
\code{\link{topLZ}},
\code{\link{histL}},
\code{\link{plotL}},
\code{\link{hapRes}},
\code{\link{res}},
\code{\link{simu}},
\code{\link{mergedIBD}}
}
\author{Sepp Hochreiter}
\references{

S. Hochreiter et al.,
\sQuote{FABIA: Factor Analysis for Bicluster Acquisition},
Bioinformatics 26(12):1520-1527, 2010.

}
\keyword{file,connection}
\concept{genetics,haplotype,identity by descent,bicluster,next generation sequencing,genotype,single nucleotide polymorphism,single nucleotide variation}
